> For the complete documentation index, see [llms.txt](https://docs.kaiko.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kaiko.com/rest-api/monitoring-solutions/kaiko-market-explorer/supply-and-market-cap/supply-per-blockchain.md).

# Supply Per Blockchain

## What is this endpoint for?

This endpoint receives the supply of an asset on a single blockchain, including circulating supply and market capitalization where available.

To retrieve supply across all chains for an asset, use the [Aggregated Supply](/rest-api/monitoring-solutions/kaiko-market-explorer/supply-and-market-cap/aggregated-supply.md) endpoint with the `blockchain` query parameter, or call this endpoint once per chain.

### Endpoint

```
https://us.market-api.kaiko.io/v2/data/supply.v2/blockchain-level/{blockchain}/{asset}
```

### Parameters

<table><thead><tr><th width="148.98828125">Parameter</th><th width="87.08984375">Required</th><th>Description</th><th>Example</th></tr></thead><tbody><tr><td><code>blockchain</code></td><td>Yes</td><td>Normalized blockchain identifier. Common values: <code>ethereum</code>, <code>solana</code>, <code>polygon</code>, <code>arbitrum</code>, <code>canton</code>.</td><td><code>ethereum</code></td></tr><tr><td><code>asset</code></td><td>Yes</td><td>The desired asset <code>code</code>. See <a href="/pages/5iH1qlIc7aNEOOci4yMw">Asset codes</a>.</td><td><code>usdc</code></td></tr><tr><td><code>start_time</code></td><td>No</td><td>Starting time in ISO 8601 (inclusive).</td><td><code>2026-04-14T00:00:00.000Z</code></td></tr><tr><td><code>end_time</code></td><td>No</td><td>Ending time in ISO 8601 (exclusive).</td><td><code>2026-04-16T00:00:00.000Z</code></td></tr><tr><td><code>sort</code></td><td>No</td><td>Sort direction by timestamp (<code>asc</code> / <code>desc</code>). Default: <code>desc</code>.</td><td><code>desc</code></td></tr><tr><td><code>page_size</code></td><td>No</td><td>See <a href="https://claude.ai/chat/fd04e826-1b1b-402e-8db2-e11715d484ad#">Pagination</a>. Minimum: <code>1</code> Maximum: <code>1000</code> Default: <code>100</code>.</td><td><code>100</code></td></tr></tbody></table>

### Fields

| Field                | Description                                                         | Example          |
| -------------------- | ------------------------------------------------------------------- | ---------------- |
| `timestamp`          | Timestamp at which the interval begins                              | `1744848000`     |
| `asset`              | Asset                                                               | `usdc`           |
| `blockchain`         | Blockchain name                                                     | `ethereum`       |
| `total_supply`       | Total supply on this chain                                          | `28535000000.00` |
| `circulating_supply` | Circulating supply on this chain. `null` for Canton instruments.    | `28535000000.00` |
| `market_cap`         | Market capitalization on this chain. `null` for Canton instruments. | `28535000000.00` |

### Request examples

{% tabs %}
{% tab title="cURL" %}

```bash
curl --request GET \
  --url 'https://us.market-api.kaiko.io/v2/data/supply.v2/blockchain-level/canton/cbtc?start_time=2026-05-13T00:00:00Z&end_time=2026-05-13T23:59:59Z&page_size=10&sort=desc' \
  --header 'Accept: application/json' \
  --header 'X-Api-Key: KAIKO_API_KEY'
```

{% endtab %}

{% tab title="Python" %}

```python
import http.client
import json

# Enter your Kaiko API Key
api_key = "KAIKO_API_KEY"
api_host = "us.market-api.kaiko.io"
api_base_endpoint = "/v2/data/supply.v2/blockchain-level/canton/cbtc"
# Start of mandatory parameter configuration
mandatory_params = {

}
# End of mandatory parameter configuration
# Start of optional parameter configuration
optional_params = {
    'start_time':'2026-05-13T00:00:00Z',
    'end_time':'2026-05-13T23:59:59Z',
    'page_size':10,
    'sort':'desc'
}
# End of optional parameter configuration
conn = http.client.HTTPSConnection(api_host)
headers = {
    "X-Api-Key": api_key,
    "Accept": "application/json"
}

all_params = {**mandatory_params, **optional_params}

url_params = []
for param, value in all_params.items():
    url_params.append(f"{param}={value}")
url_params = '&'.join(url_params)

endpoint_with_params = f"{api_base_endpoint}?{url_params}"

# Pagination for next pages
all_data = []
next_url = endpoint_with_params
while next_url:
    conn.request("GET", next_url, headers=headers)
    response = conn.getresponse()
    data = json.loads(response.read().decode("utf-8"))
    all_data.extend(data.get("data", []))
    print(f"Fetched {len(data.get('data', []))} datapoints. Total: {len(all_data)}")
    next_url = data.get("next_url", "").replace("https://us.market-api.kaiko.io", "")
    if not next_url:
        break
conn.close()
print(f" datapoints fetched: {(all_data)}")
```

{% endtab %}
{% endtabs %}

### Response example

```json
{
    "query": {
        "start_time": "2026-05-13T00:00:00.000Z",
        "end_time": "2026-05-13T23:59:59.000Z",
        "page_size": 10,
        "asset": "cbtc",
        "blockchain": "canton",
        "sort": "desc",
        "request_time": "2026-05-13T07:57:55.131Z",
        "start_timestamp": 1778630400000,
        "end_timestamp": 1778716799000
    },
    "time": "2026-05-13T07:57:55.136Z",
    "timestamp": 1778659075136,
    "data": [
        {
            "timestamp": 1778655600,
            "asset": "cbtc",
            "blockchain": "canton",
            "total_supply": 29.0089104357,
            "circulating_supply": null,
            "market_cap": null
        }
        /** Results **/
    ],
    "result": "success",
    "access": {
        "access_range": {
            "start_timestamp": 1578006000000,
            "end_timestamp": 1893625200000
        },
        "data_range": {
            "start_timestamp": 1578006000000,
            "end_timestamp": 1893625200000
        }
    }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kaiko.com/rest-api/monitoring-solutions/kaiko-market-explorer/supply-and-market-cap/supply-per-blockchain.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
